
Redmine - Defect #8590

Base Auth is not working with mod_fcgid for REST API

2011-06-10 22:17 - Bruno Medeiros

Status: Closed Start date: 2011-06-10

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.3

Description

I tried to use Redmine's REST API with base auth through Apache's mod_fcgid and could not make it work. It happens because

apache don't sent auth information to fcgi scripts by default, but the .htaccess should handle that with a rewrite rule, as follows:

RewriteCond %{REQUEST_FILENAME} !-f

RewriteRule ^(.*)$ dispatch.fcgi [E=X-HTTP_AUTHORIZATION:%{HTTP:Authorization},QSA,L]

 It was fixed on this post

Related issues:

Is duplicate of Redmine - Defect #8589: REST API does not accept Basic HTTP a... New 2011-06-10

History

#1 - 2011-06-10 22:18 - Alex Last

hey, I beat you by 2 minutes :) see bug #8589

#2 - 2011-06-11 13:26 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Alexey won.
